//
//  AlbumsOutlineViewController.h
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 10.01.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "YafUser.h"

extern NSString* const YafAlbumsViewSelectionChangedNotification;

@interface AlbumsOutlineViewController : NSObject <YafCatcher>
{
	IBOutlet NSOutlineView* albumsView;
	YafUser* yafUser;
	NSImage* albumIcon;
	NSImage* albumIconLocked;
	int selectedAlbumsCount;
	int selectedImagesCount;
}

- (void) setYafUser:(YafUser*)user;
- (void) updateAlbumsSelectionInfo;
- (int) selectedAlbumsCount;
- (int) selectedImagesCount;
@end
