//
//  SignInTooltipView.m
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 09.01.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "SignInTooltipView.h"


@implementation SignInTooltipView

- (id)initWithFrame:(NSRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    return self;
}

- (void)drawRect:(NSRect)dirtyRect
{
	NSBezierPath* thePath = [NSBezierPath bezierPath];
	
	NSRect rc = dirtyRect;
	rc.size.height -= 10;
    [thePath appendBezierPathWithRoundedRect:rc xRadius:10 yRadius:10];
    
	[[NSColor whiteColor] set];
	[thePath fill];
	
	// Increase the default limit
	[NSBezierPath setDefaultMiterLimit:20.0];
	
	// Customize the limit for a specific path with sharp angles.
	NSBezierPath* aPath = [NSBezierPath bezierPath];
	float middleX = rc.origin.x + (rc.size.width / 2.0);
	[aPath moveToPoint:NSMakePoint(middleX - 10.0, rc.origin.y + rc.size.height)];
	[aPath lineToPoint:NSMakePoint(middleX, rc.origin.y + rc.size.height + 10)];
	[aPath lineToPoint:NSMakePoint(middleX + 10.0, rc.origin.y + rc.size.height)];
	[aPath fill];
}

@end
