//
//  YaFotkiAlbum.h
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 24.12.09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface YafAlbum : NSObject {
	NSString* uid;
	NSString* title;
	NSString* summary;
	NSString* linkSelf;
	NSString* linkEdit;
	NSString* linkPhotos;
	NSString* linkAlternate;

	NSString* datePublished;
	NSString* dateEdited;
	NSString* dateUpdated;

	BOOL isProtected;
	int imageCount;
}

- (NSString*) xmlStringValueWithUsername:(NSString*)aUsername albumPassword:(NSString*)aPassword;
- (void) setDataFromAlbum:(YafAlbum*)anAlbum;

@property (retain) NSString* uid;
@property (retain) NSString* title;
@property (retain) NSString* summary;

@property (retain) NSString* linkSelf;
@property (retain) NSString* linkEdit;
@property (retain) NSString* linkPhotos;
@property (retain) NSString* linkAlternate;

@property (retain) NSString* datePublished;
@property (retain) NSString* dateEdited;
@property (retain) NSString* dateUpdated;

@property (assign) BOOL isProtected;
@property (assign) int imageCount;
@end