//
//  YaFotkiCreateAlbumOperation.h
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 24.12.09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "YaOperation.h"
#import "YaRequest.h"
#import "YafAlbum.h"

@interface YafCreateAlbumOperation : YaOperation {	
	// in data
	NSString* title;	// album title
	NSString* summary;	// album description
	NSString* password;	// album password
	NSString* token;	// session token
	NSString* username; // username
	
	// out data
	YafAlbum* album;	// created album
}

- (void) setUsername:(NSString*)aUsername withToken:(NSString*)aToken;
- (void) createAlbumWithTitle:(NSString *)aTitle summary:(NSString *)aSummary password:(NSString*)aPassword;
- (YafAlbum*) album;
@end