#import <Cocoa/Cocoa.h>

#import "YaRequest.h"

@interface YafAuthTokenRequest : YaRequest
{
	// request properties
	NSString* RequestUrl;
	
	// in data
	NSString* authRsaKey;
	NSString* authRequestID;
	NSString* authLogin;
	NSString* authPassword;
	
	// auth: none
}

- (id) initWithCatcher:(id<YaRequestCatcher>)aCatcher parser:(id<YaRequestParser>)aParser;

@property (retain) NSString* authRsaKey;
@property (retain) NSString* authRequestID;
@property (retain) NSString* authLogin;
@property (retain) NSString* authPassword;
@end