//
//  YafDeleteAlbumRequest.h
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 28.12.09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "YaRequest.h"


@interface YafDeleteAlbumRequest : YaRequest {
	// request properties
	NSString* RequestUrl;
	
	// in data
	NSString* albumID;
	
	// auth
	NSString* username;
	NSString* token;
}

- (id) initWithCatcher:(id<YaRequestCatcher>)aCatcher parser:(id<YaRequestParser>)aParser;

@property (retain) NSString* albumID;
@property (retain) NSString* username;
@property (retain) NSString* token;
@end