//
//  YafEditAlbumRequest.h
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 16.01.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "YaRequest.h"
#import "YafAlbum.h"

@interface YafEditAlbumRequest : YaRequest {
	// request properties
	NSString* RequestUrl;
	
	// in data
	YafAlbum* album;
	NSString* albumPassword;
	
	// auth
	NSString* username;
	NSString* token;
}

- (id) initWithCatcher:(id<YaRequestCatcher>)aCatcher parser:(id<YaRequestParser>)aParser;

@property (retain) YafAlbum* album;
@property (retain) NSString* username;
@property (retain) NSString* token;
@property (retain) NSString* albumPassword;
@end