//
//  ApplicationDelegate.h
//  FotkiUploader v2.0
//
//  Created by Rim Zaidullin on 18.10.09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SignInWindowController.h"
#import "MainWindowController.h"
#import "YafUser.h"

@interface ApplicationDelegate : NSObject <YafCatcher> {
	YafUser* yafUser;
	int albumsToGenerate;
	
	IBOutlet SignInWindowController* signInWindowController;
	IBOutlet MainWindowController* mainWindowController;
}

- (IBAction) runOperations:(id)sender;
- (SignInWindowController*) signInWindowController;
- (MainWindowController*) mainWindowController;
@end