//
//  AlbumsOutlineViewItem.h
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 13.01.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "YafUser.h"

typedef enum _AlbumsViewItem {
	AVI_ALBUM = 1,
	AVI_IMAGE
} AlbumsViewItem;

@interface AlbumsOutlineViewItem : NSObject {
	AlbumsOutlineViewItem* parent;
	NSMutableArray* children;
	
	id object; // root/album/image
	YafUser* yafUser;
}

- (id) initWithObject:(id)anObject parent:(AlbumsOutlineViewItem*)aParent;
+ (AlbumsOutlineViewItem*) rootItem;
- (NSInteger) numberOfChildren;
- (AlbumsOutlineViewItem*) childAtIndex:(NSInteger)index;
- (NSArray*) children;
- (NSString*) description;
- (void) setYafUser:(YafUser*)user;
- (void) attachAlbums;
- (AlbumsOutlineViewItem*) parent;
- (id) object;
@end
