//
//  MainWindowController.h
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 09.01.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AlbumsOutlineViewController.h"
#import "CCWebpageLink.h"
#import "YafUser.h"

extern NSString* const YafSignOutNotification;

@interface MainWindowController : NSObject <YafCatcher>
{
	IBOutlet NSWindow* window;
	IBOutlet AlbumsOutlineViewController* albumsViewController;
	IBOutlet NSControl* albumsPopulateProgress;
	IBOutlet NSTabView* albumsTabView;
	IBOutlet CCWebpageLink* usernameLink;
	IBOutlet NSTextField* selectedAlbumsInfo;
	
	YafUser* yafUser;
}

- (void) showWindow:(BOOL)doShow;
- (void) setYafUser:(YafUser*)user;
- (IBAction) signOut:(id)sender;
@end