//
//  InputFormatter.m
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 10.01.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "InputFormatter.h"


@implementation InputFormatter
- (id) init
{    
    return [self initWithMaxLength:-1]; // don't filter max length
}

- (id) initWithMaxLength:(int)theMaxLength
{
    if(self = [super init])
    {
        maxLength = theMaxLength;
    }
    
    return self;
}

- (NSString *) stringForObjectValue:(id)anObject
{	
    NSString* currString = anObject;
    return currString;    
}

- (BOOL) getObjectValue:(id*)anObject forString:(NSString*)string errorDescription:(NSString**)error
{
	BOOL retVal = YES;
    
    if(anObject)
        *anObject = string;
    else
        retVal = NO;
    
    return retVal;
}

- (BOOL) isPartialStringValid:(NSString*)partialString newEditingString:(NSString**)newString errorDescription:(NSString**)error
{
    if(maxLength > 0)
    {
        if ([partialString length] > maxLength)
            return NO;
    }
	
    return YES;
}
@end
