//
//  YafDeleteAlbumOperation.h
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 28.12.09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "YaOperation.h"
#import "YaRequest.h"
#import "YafAlbum.h"

@interface YafDeleteAlbumOperation : YaOperation {	
	// in data
	NSString* token;			// session token
	NSString* username;			// usename
	NSString* deletedAlbumID;	// id of album to delete
	
	// out data: none
}

- (void) setUsername:(NSString*)aUsername withToken:(NSString*)aToken;
- (void) deleteAlbumWithID:(NSString*)anAlbumID;
- (NSString*) deletedAlbumID;
@end