//
//  YafEditAlbumOperation.h
//  Ya.Fotki
//
//  Created by Rim Zaidullin on 21.01.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "YaOperation.h"
#import "YaRequest.h"
#import "YafAlbum.h"


@interface YafEditAlbumOperation : YaOperation {
	// in data
	NSString* token;	// session token
	NSString* username;	// username
	YafAlbum* album;	// album to update	
	
	// out data: none
}

- (void) setUsername:(NSString*)aUsername withToken:(NSString*)aToken;
- (void) updateAlbum:(YafAlbum*)anAlbum setPassword:(NSString*)aPassword;
- (YafAlbum*) album;
@end
