//
//  YafGetAlbumOperation.h
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 15.01.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "YaOperation.h"
#import "YaRequest.h"
#import "YafAlbum.h"

@interface YafGetAlbumOperation : YaOperation {	
	// in data
	NSString* token;			// session token
	NSString* username;			// username
	NSString* requestedAlbumID;	// id of requested album
	
	// out data
	YafAlbum* album;
}

- (void) setUsername:(NSString*)aUsername withToken:(NSString*)aToken;
- (void) getAlbumWithID:(NSString*)anAlbumID;
- (YafAlbum*) album;
- (NSString*) requestedAlbumID;
@end