//
//  YaFotkiAuthorisationCreateAlbumRequest.h
//  FotkiUploader v2.0 v2
//
//  Created by Rim Zaidullin on 24.12.09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "YaRequest.h"

@interface YafCreateAlbumRequest : YaRequest {
	// request properties
	NSString* RequestUrl;
	
	// in data
	NSString* albumTitle;
	NSString* albumSummary;
	NSString* albumPassword;
	
	// auth
	NSString* username;
	NSString* token;
}

- (id) initWithCatcher:(id<YaRequestCatcher>)aCatcher parser:(id<YaRequestParser>)aParser;

@property (retain) NSString* albumTitle;
@property (retain) NSString* albumSummary;
@property (retain) NSString* albumPassword;
@property (retain) NSString* username;
@property (retain) NSString* token;
@end